#!/usr/bin/python3
# -*- coding: utf-8 -*-
##********************************************************************************************************************************************************
##
##  script for calculating Rosenbrock function
##  Copyright (C) 2011 - 2020  Thomas Moeller
##
##  I. Physikalisches Institut, University of Cologne
##
##
##
##  Versions of the program:
##
##  Who           When         What
##
##  T. Moeller    2011-01-01   initial version
##  T. Moeller    2016-05-31   improved version
##  T. Moeller    2020-01-03   porting python 3
##
##
##
##  License:
##
##    GNU GENERAL PUBLIC LICENSE
##    Version 3, 29 June 2007
##    (Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>)
##
##
##    This program is free software: you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation, either version 3 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##
##********************************************************************************************************************************************************


##********************************************************************* load packages ********************************************************************
from __future__ import print_function                                                       ## for python 2 usage
import sys                                                                                  ## load sys package
import os                                                                                   ## load os package
import math                                                                                 ## load math package
##--------------------------------------------------------------------------------------------------------------------------------------------------------


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## read input file
f = open("input.dat")                                                                       ## open input file
contens = f.readlines()                                                                     ## read contents of input file
x = float(contens[0])                                                                       ## read x value
y = float(contens[1])                                                                       ## read y value
f.close()                                                                                   ## close input file


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## compute Rosenbrock function
result1 = "%.15e\n" % (math.sqrt((1.0 - x)**2 + 100.0 * (y - x**2)**2))


##--------------------------------------------------------------------------------------------------------------------------------------------------------
## write result to output file
outfile = open("output.dat", 'w')
outfile.write(result1)
outfile.close()


## we've done
##--------------------------------------------------------------------------------------------------------------------------------------------------------

